<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.47</b></p>
<ul class="maxwidth">';

// Ajout d'une colonne freq_res_dureemax dans la table _user
mysqli_query($bdd,"ALTER TABLE ".$prefix."_user ADD freq_res_dureemax INT (11) DEFAULT NULL");
echo '<li>Ajout d\'une colonne <i>freq_res_dureemax</i> dans la table _user.</li>';

$freq_res_dureemax = mysqli_fetch_assoc(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_dureemax'"));
mysqli_query($bdd,"UPDATE ".$prefix."_user SET freq_res_dureemax = '".$freq_res_dureemax['valeur']."'");
echo '<li>Passage de la valeur actuelle de durée max dans la table _user.</li>';

// Suppression du paramètre freq_res_dureemax (obsolète)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_dureemax'"))==1) {
	mysqli_query($bdd,"DELETE FROM ".$prefix."_parametres WHERE param_nom = 'freq_res_dureemax'");
}
echo '<li>Suppression du paramètre freq_res_dureemax (obsolète).</li>';

// Suppression du paramètre edt_imgajust (obsolète)
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgajust'"))==1) {
	mysqli_query($bdd,"DELETE FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgajust'");
}
echo '<li>Suppression du paramètre edt_imgajust (obsolète).</li>';

// Ajout d'une colonne user_id dans la table _freqres
mysqli_query($bdd,"ALTER TABLE ".$prefix."_freqres ADD user_id INT (11) DEFAULT NULL");
echo '<li>Ajout d\'une colonne <i>user_id</i> dans la table _freqres (responsabilité de réservation).</li>';

mysqli_query($bdd,"UPDATE ".$prefix."_freqres SET user_id = '0'");
echo '<li>Définition d\'un 0 pour les réservations existantes.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.47' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.47.</li></ul>';
?>